/* File demo/demo3/demo3.h; TRANSIENT V2.51; 14 Aug. 2001 */
/* (C) 2001 Miroslav Kolar */

IN_PAR(L,int,512,%d,Model length = number of intervals (x step = 1))
CHECK_PAR(L>0)

IN_PAR(A,double,0.0001,%g,)
CHECK_PAR(A>0.)

IN_PAR(B,double,0.0053,%g,)
CHECK_PAR(B>=0.)

IN_PAR(CF,double,0.,%g,Plot compression factor - similar to C in Fig. 1 of the V&V paper)
CHECK_PAR(CF>=0.)

IN_PAR(SF,double,1.,%g,Streching (enhancement) factor - SF*(h(x)-CF*<h>) is outputted)
CHECK_PAR(SF>0.)

IN_PAR(randInitAmpl,double,0.01,%g,Max initial random height h(x))
CHECK_PAR(randInitAmpl>0.)

IN_PAR(randSeed,int,731,%d,)
CHECK_PAR(randSeed>0)

IN_PAR(randInit,int,1,%d,1: use randInitAmpl & randSeed; 0: start with h[j]=0)
CHECK_PAR(randInit==0 || randInit==1)

IN_PAR(bc,int,0,%d,1: Dirichlet b.c.; 0: von Neumann b.c.)
CHECK_PAR(bc==0 || bc==1)

IN_PAR(bcValue,double,0.,%g,Value of h(x) or dh(x)/dx (cf. bc) at x=0 and x=L)
CHECK_PAR(bcValue>=0.)
